## lhs2tex 1.9

=== Makefile ===

include config.mk

psources        := Main.lhs TeXCommands.lhs TeXParser.lhs \
		   Typewriter.lhs Math.lhs MathPoly.lhs \
                   NewCode.lhs \
		   Directives.lhs HsLexer.lhs FileNameUtils.lhs \
		   Parser.lhs FiniteMap.lhs Auxiliaries.lhs \
		   StateT.lhs Document.lhs Verbatim.lhs Value.lhs
sources         := $(psources) Version.lhs
snipssrc        := sorts.snip id.snip cata.snip spec.snip
snips	        := sorts.tt sorts.math id.math cata.math spec.math
objects         := $(sources:.lhs=.o)
sections       	:= $(sources:.lhs=.tex)

MKINSTDIR       := ./mkinstalldirs

###
### lhs dependencies (from %include lines)
###

MKLHSDEPEND = $(GREP) "^%include " $< \
               | $(SED) -e 's,^%include ,$*.tex : ,' \
               | $(SORT) | $(UNIQ) > $*.ld

MKFMTDEPEND = $(GREP) "^%include " $< \
               | $(SED) -e 's,^%include ,$*.fmt : ,' \
               | $(SORT) | $(UNIQ) > $*.ld

###
### hs dependencies
###


MKGHCDEPEND = $(GHC) -M -optdep-f -optdep$*.d $(GHCFLAGS) $<

###
### dependency postprocessing
###

DEPPOSTPROC = $(SED) -e 's/\#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
	         -e '/^$$/ d' -e 's/$$/ :/'

###
### default targets
###

.PHONY : default xdvi gv print install backup clean all depend bin doc srcdist

all : default

default : bin doc
bin : lhs2TeX lhs2TeX.fmt lhs2TeX.sty

%.d : %.lhs
	$(MKGHCDEPEND); \
	$(CP) $*.d $*.dd; \
	$(DEPPOSTPROC) < $*.dd >> $*.d; \
	$(RM) -f $*.dd

$(objects) : %.o : %.lhs
	$(GHC) -c $(GHCFLAGS) $< -o $@

-include $(sources:%.lhs=%.d)

# I don't understand this ... (ks)
#
# %.hi : %.o
# 	@if [ ! -f $@ ] ; then \
#	echo $(RM) $< ; \
#	$(RM) $< ; \
#	set +e ; \
#	echo $(MAKE) $(notdir $<) ; \
#	$(MAKE) $(notdir $<) ; \
#	if [ $$? -ne 0 ] ; then \
#	exit 1; \
#	fi ; \
#	fi

%.hi : %.o
	@:

%.ld : %.lhs
	$(MKLHSDEPEND); \
	$(CP) $*.ld $*.ldd; \
	$(DEPPOSTPROC) < $*.ldd >> $*.ld; \
	$(RM) -f $*.ldd

%.ld : %.fmt
	$(MKFMTDEPEND); \
	$(CP) $*.ld $*.ldd; \
	$(DEPPOSTPROC) < $*.ldd >> $*.ld; \
	$(RM) -f $*.ldd

%.tex : %.lhs lhs2TeX Lhs2TeX.fmt lhs2TeX.fmt
#	lhs2TeX -verb -iLhs2TeX.fmt $< > $@
	./lhs2TeX --math --align 33 -iLhs2TeX.fmt $< > $@

-include $(sources:%.lhs=%.ld)

%.tt : %.snip lhs2TeX lhs2TeX.fmt
	./lhs2TeX --tt -lmeta=True -ilhs2TeX.fmt $< > $@

%.math : %.snip lhs2TeX lhs2TeX.fmt
	./lhs2TeX --math --align 33 -lmeta=True -ilhs2TeX.fmt $< > $@

%.tex : %.lit lhs2TeX
	./lhs2TeX --verb -ilhs2TeX.fmt $< > $@


lhs2TeX.sty: lhs2TeX.sty.lit lhs2TeX
	./lhs2TeX --code lhs2TeX.sty.lit > lhs2TeX.sty
lhs2TeX.fmt: lhs2TeX.fmt.lit lhs2TeX
	./lhs2TeX --code lhs2TeX.fmt.lit > lhs2TeX.fmt

lhs2TeX : $(objects)
	$(GHC) $(GHCFLAGS) -o lhs2TeX $(objects)

doc : bin
	cd doc; $(MAKE)
#	cd Guide; $(MAKE) Guide.pdf

depend:
	$(GHC) -M -optdep-f -optdeplhs2TeX.d $(GHCFLAGS) $(sources)
	$(RM) -f lhs2TeX.d.bak

lhs2TeX-includes : lhs2TeX.sty $(sections) $(snips) lhs2TeX.sty.tex lhs2TeX.fmt.tex Makefile.tex

Lhs2TeX.dvi : lhs2TeX-includes
Lhs2TeX.pdf : lhs2TeX-includes

xdvi : Lhs2TeX.dvi
	$(XDVI) -s 3 Lhs2TeX.dvi &

gv : Lhs2TeX.ps
	$(GV) Lhs2TeX.ps &

print : Lhs2TeX.dvi
	$(DVIPS) -D600 -f Lhs2TeX.dvi | lpr -Pa -Zl

install : bin
	$(MKINSTDIR) $(DESTDIR)$(bindir)
	$(INSTALL) -m 755 lhs2TeX $(DESTDIR)$(bindir)
	$(MKINSTDIR) $(DESTDIR)$(stydir)
	$(INSTALL) -m 644 lhs2TeX.sty lhs2TeX.fmt $(DESTDIR)$(stydir)
# TODO: install documentation
ifeq ($(INSTALL_POLYTABLE),yes)
# install polytable package
	$(MKINSTDIR) $(DESTDIR)$(polydir)
	$(INSTALL) -m 644 polytable/*.sty $(DESTDIR)$(polydir)
ifndef DESTDIR
	$(MKTEXLSR)
else
	echo "Please update the TeX filename database."
endif
endif

srcdist : doc
	if test -d $(DISTDIR); then $(RM) -rf $(DISTDIR); fi
	$(MKINSTDIR) $(DISTDIR)
	$(MKINSTDIR) $(DISTDIR)/doc
	$(MKINSTDIR) $(DISTDIR)/polytable
	$(MKINSTDIR) $(DISTDIR)/Testsuite
	$(MKINSTDIR) $(DISTDIR)/Examples
	$(INSTALL) -m 644 $(psources) Version.lhs.in $(snipssrc) $(DISTDIR)
	$(INSTALL) -m 644 lhs2TeX.fmt.lit lhs2TeX.sty.lit $(DISTDIR)
	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
		> $(DISTDIR)/INSTALL
	chmod 644 $(DISTDIR)/INSTALL
	cd doc; $(MAKE) srcdist
	$(INSTALL) -m 644 polytable/*.{sty,pdf} $(DISTDIR)/polytable
	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR)
	chmod 644 $(DISTDIR).tar.bz2

backup:
	cd ..; \
	$(RM) -f Literate.tar Literate.tar.gz; \
	tar -cf Literate.tar Literate; \
	gzip Literate.tar; \
	chmod a+r Literate.tar.gz

clean :
#	clean
	$(RM) -f lhs2TeX $(sections) $(snips) $(objects) *.hi *.dvi *.ps
	-$(RM) -f *.d *.dd *.ld *.ldd
	$(RM) -f lhs2TeX.sty lhs2TeX.fmt
	$(RM) -f Lhs2TeX.tex lhs2TeX.sty.tex lhs2TeX.fmt.tex Makefile.tex 
	cd Guide; $(MAKE) clean

# all:
# 	$(MAKE) install
# 	$(MAKE) Lhs2TeX.dvi

include common.mk

=== doc/Makefile ===
include ../config.mk

# use in-place lhs2TeX
LHS2TEX = ../lhs2TeX

SNIPPETSGD  = $(shell $(GREP) "\\\\input{" Guide2.lhs | $(SED) "s/^.*input{\(.*\)}.*$$/\1.tex/")
SNIPPETSSTC = $(shell $(GREP) "\\\\input{" STC.lhs | $(SED) "s/^.*input{\(.*\)}.*$$/\1.tex/")

# default target
all : Guide2.pdf

# in-place polytable.sty
polytable.sty :
	$(LN_S) ../polytable/polytable.sty .
	$(LN_S) ../polytable/lazylist.sty .

srcdist :
	$(INSTALL) -m 644 $(SNIPPETSGD:.tex=.lhs) ../$(DISTDIR)/doc
	$(INSTALL) -m 644 $(wildcard *.fmt) ../$(DISTDIR)/doc
	$(INSTALL) -m 644 Guide2.lhs Guide2.pdf Makefile ../$(DISTDIR)/doc
	$(INSTALL) -m 755 lhs2TeXpre ../$(DISTDIR)/doc
	touch ../$(DISTDIR)/doc/Guide2.dontbuild

%.pdf : %.tex polytable.sty
	@if test -f $(<:.tex=.dontbuild); then \
		echo "----------------------------------------------"; \
		echo "To rebuild $@, remove $(<:.tex=.dontbuild)"; \
		echo "and call make again."; \
		echo "----------------------------------------------"; \
	else \
		$(SHELL) -c ' \
			$(PDFLATEX) $(PDFLATEX_OPTS) $<; \
			while $(GREP) -c "Warning.*Rerun" $(<:.tex=.log); \
				do $(PDFLATEX) $(PDFLATEX_OPTS) $<; done;'; \
	fi

Guide2.tex : Guide2.lhs $(SNIPPETSGD)
	$(LHS2TEX) --poly -P.:.. $< > $@

STC.tex : STC.lhs $(SNIPPETSSTC)
	$(LHS2TEX) --poly $< > $@

# determine mode and then run lhs2TeX
%.tex : %.lhs
	MODE=`cat $< \
		| $(GREP) "^%include" \
		| head -1 \
		| $(SED) -e "s/^%include \(.*\)\.fmt/\1/" \
		| $(SED) -e "s/verbatim/verb/" \
			 -e "s/stupid/math/" \
		      	 -e "s/tex/poly/" \
		      	 -e "s/polytt/poly/" \
		      	 -e "s/typewriter/tt/"` && \
	echo $${MODE} && \
	$(LHS2TEX) --$${MODE} $< > $@

.PHONY : all srcdist clean
clean :
	rm -f $(SNIPPETSGD) $(SNIPPETSSTC)

## lhs2tex 1.11

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 psources        := Main.lhs TeXCommands.lhs TeXParser.lhs \
 		   Typewriter.lhs Math.lhs MathPoly.lhs \
-                   NewCode.lhs \
+                   MathCommon.lhs NewCode.lhs \
 		   Directives.lhs HsLexer.lhs FileNameUtils.lhs \
 		   Parser.lhs FiniteMap.lhs Auxiliaries.lhs \
 		   StateT.lhs Document.lhs Verbatim.lhs Value.lhs
@@ -19,6 +19,9 @@
 ### lhs dependencies (from %include lines)
 ###
 
+ifdef SORT
+ifdef UNIQ
+
 MKLHSDEPEND = $(GREP) "^%include " $< \
                | $(SED) -e 's,^%include ,$*.tex : ,' \
                | $(SORT) | $(UNIQ) > $*.ld
@@ -27,12 +30,8 @@
                | $(SED) -e 's,^%include ,$*.fmt : ,' \
                | $(SORT) | $(UNIQ) > $*.ld
 
-###
-### hs dependencies
-###
-
-
-MKGHCDEPEND = $(GHC) -M -optdep-f -optdep$*.d $(GHCFLAGS) $<
+endif
+endif
 
 ###
 ### dependency postprocessing
@@ -51,15 +50,6 @@
 
 default : bin doc
 bin : lhs2TeX lhs2TeX.fmt lhs2TeX.sty
-
-%.d : %.lhs
-	$(MKGHCDEPEND); \
-	$(CP) $*.d $*.dd; \
-	$(DEPPOSTPROC) < $*.dd >> $*.d; \
-	$(RM) -f $*.dd
-
-$(objects) : %.o : %.lhs
-	$(GHC) -c $(GHCFLAGS) $< -o $@
 
 -include $(sources:%.lhs=%.d)
 
@@ -77,8 +67,7 @@
 #	fi ; \
 #	fi
 
-%.hi : %.o
-	@:
+ifdef MKLHSDEPEND
 
 %.ld : %.lhs
 	$(MKLHSDEPEND); \
@@ -92,11 +81,13 @@
 	$(DEPPOSTPROC) < $*.ldd >> $*.ld; \
 	$(RM) -f $*.ldd
 
+-include $(sources:%.lhs=%.ld)
+
+endif
+
 %.tex : %.lhs lhs2TeX Lhs2TeX.fmt lhs2TeX.fmt
 #	lhs2TeX -verb -iLhs2TeX.fmt $< > $@
 	./lhs2TeX --math --align 33 -iLhs2TeX.fmt $< > $@
-
--include $(sources:%.lhs=%.ld)
 
 %.tt : %.snip lhs2TeX lhs2TeX.fmt
 	./lhs2TeX --tt -lmeta=True -ilhs2TeX.fmt $< > $@
@@ -113,12 +104,17 @@
 lhs2TeX.fmt: lhs2TeX.fmt.lit lhs2TeX
 	./lhs2TeX --code lhs2TeX.fmt.lit > lhs2TeX.fmt
 
-lhs2TeX : $(objects)
-	$(GHC) $(GHCFLAGS) -o lhs2TeX $(objects)
+lhs2TeX : $(sources)
+	$(GHC) $(GHCFLAGS) --make -o lhs2TeX $(sources)
 
 doc : bin
 	cd doc; $(MAKE)
 #	cd Guide; $(MAKE) Guide.pdf
+
+INSTALL : lhs2TeX INSTALL0 INSTALL1
+	cp INSTALL0 $@
+	./lhs2TeX --searchpath >> $@
+	cat INSTALL1 >> $@
 
 depend:
 	$(GHC) -M -optdep-f -optdeplhs2TeX.d $(GHCFLAGS) $(sources)
@@ -143,28 +139,37 @@
 	$(INSTALL) -m 755 lhs2TeX $(DESTDIR)$(bindir)
 	$(MKINSTDIR) $(DESTDIR)$(stydir)
 	$(INSTALL) -m 644 lhs2TeX.sty lhs2TeX.fmt $(DESTDIR)$(stydir)
-# TODO: install documentation
+	$(INSTALL) -m 644 Library/*.fmt $(DESTDIR)$(stydir)
+	$(MKINSTDIR) $(DESTDIR)$(docdir)
+	$(INSTALL) -m 644 doc/Guide2.pdf $(DESTDIR)$(docdir)
+	$(MKINSTDIR) $(DESTDIR)$(mandir)/man1
+	$(INSTALL) -m 644 lhs2TeX.1 $(DESTDIR)$(mandir)/man1
 ifeq ($(INSTALL_POLYTABLE),yes)
 # install polytable package
 	$(MKINSTDIR) $(DESTDIR)$(polydir)
 	$(INSTALL) -m 644 polytable/*.sty $(DESTDIR)$(polydir)
+endif
+	# $(MKINSTDIR) $(DESTDIR)$(texdir)
+	# $(INSTALL) -m 644 Library/*.sty $(DESTDIR)$(texdir)
 ifndef DESTDIR
 	$(MKTEXLSR)
 else
 	echo "Please update the TeX filename database."
 endif
-endif
-
-srcdist : doc
+
+srcdist : INSTALL doc
 	if test -d $(DISTDIR); then $(RM) -rf $(DISTDIR); fi
 	$(MKINSTDIR) $(DISTDIR)
 	$(MKINSTDIR) $(DISTDIR)/doc
 	$(MKINSTDIR) $(DISTDIR)/polytable
 	$(MKINSTDIR) $(DISTDIR)/Testsuite
 	$(MKINSTDIR) $(DISTDIR)/Examples
+	$(MKINSTDIR) $(DISTDIR)/Library
 	$(INSTALL) -m 644 $(psources) Version.lhs.in $(snipssrc) $(DISTDIR)
+	$(INSTALL) -m 644 Setup.hs lhs2tex.cabal $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.fmt.lit lhs2TeX.sty.lit $(DISTDIR)
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
+	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
 	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
@@ -175,8 +180,46 @@
 	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
 	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
 	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
+	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
 	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR)
 	chmod 644 $(DISTDIR).tar.bz2
+
+ifdef DISTTYPE
+
+bindist: lhs2TeX lhs2TeX.fmt lhs2TeX.sty doc
+	if test -d $(DISTDIR); then $(RM) -rf $(DISTDIR); fi
+	$(MKINSTDIR) $(DISTDIR)
+	$(MKINSTDIR) $(DISTDIR)/doc
+	$(MKINSTDIR) $(DISTDIR)/polytable
+	$(MKINSTDIR) $(DISTDIR)/Testsuite
+	$(MKINSTDIR) $(DISTDIR)/Examples
+	$(MKINSTDIR) $(DISTDIR)/Library
+	$(INSTALL) -m 755 lhs2TeX $(DISTDIR)
+	$(INSTALL) -m 644 lhs2TeX.fmt lhs2TeX.sty $(DISTDIR)
+	$(INSTALL) -m 644 $(psources) Version.lhs.in $(snipssrc) $(DISTDIR)
+	$(INSTALL) -m 644 lhs2TeX.fmt.lit lhs2TeX.sty.lit $(DISTDIR)
+	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
+	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
+	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
+	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
+	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
+		> $(DISTDIR)/INSTALL
+	chmod 644 $(DISTDIR)/INSTALL
+	cd doc; $(MAKE) srcdist
+	$(INSTALL) -m 644 polytable/*.{sty,pdf} $(DISTDIR)/polytable
+	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
+	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
+	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
+	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
+	tar cvjf $(DISTDIR)-$(DISTTYPE).tar.bz2 $(DISTDIR)
+	chmod 644 $(DISTDIR)-$(DISTTYPE).tar.bz2
+
+else
+
+bindist:
+	@echo "You must define DISTTYPE."
+
+endif
 
 backup:
 	cd ..; \
@@ -191,7 +234,7 @@
 	-$(RM) -f *.d *.dd *.ld *.ldd
 	$(RM) -f lhs2TeX.sty lhs2TeX.fmt
 	$(RM) -f Lhs2TeX.tex lhs2TeX.sty.tex lhs2TeX.fmt.tex Makefile.tex 
-	cd Guide; $(MAKE) clean
+	cd doc; $(MAKE) clean
 
 # all:
 # 	$(MAKE) install

=== doc/Makefile ===
include ../config.mk

# use in-place lhs2TeX
LHS2TEX = ../lhs2TeX

SNIPPETSGD  = $(shell $(GREP) "\\\\input{" Guide2.lhs | $(SED) "s/^.*input{\(.*\)}.*$$/\1.tex/")
ifdef STC
SNIPPETSSTC = $(shell $(GREP) "\\\\input{" STC.lhs | $(SED) "s/^.*input{\(.*\)}.*$$/\1.tex/")
SNIPPETSTLL = $(shell $(GREP) "\\\\input{" TLL.lhs | $(SED) "s/^.*input{\(.*\)}.*$$/\1.tex/")
STCFLAGS="--let=stc=True"
endif

DONTBUILD = $(shell test -f Guide2.dontbuild && echo yes)

# default target
ifeq ($(DONTBUILD),yes)
all : dontbuildwarning
else
all : Guide2.pdf
endif

# in-place polytable.sty
polytable.sty :
	$(LN_S) ../polytable/polytable.sty .
	$(LN_S) ../polytable/lazylist.sty .

RawSearchPath.lhs : ../Version.lhs
	echo '\begin{code}' > $@
	$(LHS2TEX) --searchpath >> $@
	echo '\end{code}' >> $@

SearchPath.lhs : RawSearchPath.lhs
	touch $@

srcdist :
	$(INSTALL) -m 644 $(SNIPPETSGD:.tex=.lhs) ../$(DISTDIR)/doc
	$(INSTALL) -m 644 RawSearchPath.lhs ../$(DISTDIR)/doc
	$(INSTALL) -m 644 $(wildcard *.fmt) ../$(DISTDIR)/doc
	$(INSTALL) -m 644 Guide2.lhs Guide2.pdf Makefile ../$(DISTDIR)/doc
	$(INSTALL) -m 755 lhs2TeXpre ../$(DISTDIR)/doc
	touch ../$(DISTDIR)/doc/Guide2.dontbuild

dontbuildwarning :
	echo "----------------------------------------------"; \
	echo "To rebuild Guide2.pdf, remove Guide2.dontbuild"; \
	echo "and call make again."; \
	echo "----------------------------------------------"; \

%.pdf : %.tex polytable.sty
	$(SHELL) -c ' \
		$(PDFLATEX) $(PDFLATEX_OPTS) $<; \
		while $(GREP) -c "Warning.*Rerun" $(<:.tex=.log); \
			do $(PDFLATEX) $(PDFLATEX_OPTS) $<; done;'; \

Guide2.tex : Guide2.lhs $(SNIPPETSGD)
	$(LHS2TEX) --poly -P.:.. $< > $@

STC.tex : STC.lhs $(SNIPPETSSTC)
	$(LHS2TEX) --poly $< > $@

TLL.tex : TLL.lhs $(SNIPPETSTLL)
	$(LHS2TEX) --poly $< > $@

# determine mode and then run lhs2TeX
%.tex : %.lhs
	MODE=`cat $< \
		| $(GREP) "^%include" \
		| head -n 1 \
		| $(SED) -e "s/^%include \(.*\)\.fmt/\1/" \
		| $(SED) -e "s/verbatim/verb/" \
			 -e "s/stupid/math/" \
		      	 -e "s/tex/poly/" \
		      	 -e "s/polytt/poly/" \
		      	 -e "s/typewriter/tt/"` && \
	echo $${MODE} && \
	$(LHS2TEX) --$${MODE} $(STCFLAGS) $< > $@

.PHONY : all srcdist clean
clean :
	rm -f $(SNIPPETSGD) $(SNIPPETSSTC)

## lhs2tex 1.13~pre3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 
 include config.mk
 
-psources        := Main.lhs TeXCommands.lhs TeXParser.lhs \
+main            := Main.lhs
+psources        := $(main) TeXCommands.lhs TeXParser.lhs \
 		   Typewriter.lhs Math.lhs MathPoly.lhs \
                    MathCommon.lhs NewCode.lhs \
 		   Directives.lhs HsLexer.lhs FileNameUtils.lhs \
@@ -105,7 +106,7 @@
 	./lhs2TeX --code lhs2TeX.fmt.lit > lhs2TeX.fmt
 
 lhs2TeX : $(sources)
-	$(GHC) $(GHCFLAGS) --make -o lhs2TeX $(sources)
+	$(GHC) $(GHCFLAGS) --make -o lhs2TeX $(main)
 
 doc : bin
 	cd doc; $(MAKE)
@@ -134,7 +135,7 @@
 print : Lhs2TeX.dvi
 	$(DVIPS) -D600 -f Lhs2TeX.dvi | lpr -Pa -Zl
 
-install : bin
+install : bin doc
 	$(MKINSTDIR) $(DESTDIR)$(bindir)
 	$(INSTALL) -m 755 lhs2TeX $(DESTDIR)$(bindir)
 	$(MKINSTDIR) $(DESTDIR)$(stydir)
@@ -171,7 +172,7 @@
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE RELEASE $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL
@@ -201,7 +202,7 @@
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE RELEASE $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL

## lhs2tex 1.14

=== doc/Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 SNIPPETSTLL = $(shell $(GREP) "\\\\input{" TLL.lhs | $(SED) "s/^.*input{\(.*\)}.*$$/\1.tex/")
 STCFLAGS="--let=stc=True"
 endif
+
+SNIPPETSIN    = $(wildcard *.lhs.in)
+SNIPPETSLHS   = $(filter-out $(SNIPPETSIN:.in=), $(SNIPPETSGD:.tex=.lhs))
 
 DONTBUILD = $(shell test -f Guide2.dontbuild && echo yes)
 
@@ -33,7 +36,8 @@
 	touch $@
 
 srcdist :
-	$(INSTALL) -m 644 $(SNIPPETSGD:.tex=.lhs) ../$(DISTDIR)/doc
+	$(INSTALL) -m 644 $(SNIPPETSIN) ../$(DISTDIR)/doc
+	$(INSTALL) -m 644 $(SNIPPETSLHS) ../$(DISTDIR)/doc
 	$(INSTALL) -m 644 RawSearchPath.lhs ../$(DISTDIR)/doc
 	$(INSTALL) -m 644 $(wildcard *.fmt) ../$(DISTDIR)/doc
 	$(INSTALL) -m 644 Guide2.lhs Guide2.pdf Makefile ../$(DISTDIR)/doc

## lhs2tex 1.15

=== Makefile ===
--- 
+++ 
@@ -182,8 +182,8 @@
 	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
 	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
 	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
-	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR)
-	chmod 644 $(DISTDIR).tar.bz2
+	tar cvzf $(DISTDIR).tar.gz $(DISTDIR)
+	chmod 644 $(DISTDIR).tar.gz
 
 ifdef DISTTYPE

=== debian/changelog ===
lhs2tex (1.15-4) unstable; urgency=low

  [ Joachim Breitner ]
  * Section: haskell

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * Remove n-plus-k-patterns (Closes: #628319) 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 02 Jun 2011 20:42:27 +0200

lhs2tex (1.15-3) unstable; urgency=low

  * Force all IO to utf8 (Closes: #576512) 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 11 Apr 2010 19:21:38 +0200

lhs2tex (1.15-2) unstable; urgency=low

  * Upload to unstable. 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 03 Apr 2010 23:30:53 +0200

lhs2tex (1.15-1) experimental; urgency=low

  * New upstream release 
  * Adopt by the Debian Haskell Group
  * Update homepage
  * Use dh_prep instead of dh_clean -k
  * No more bashism (Closes: #530115)
  * Builds fine with ghc-6.12 (Closes: #574794)
  * Do not use utf8-string (Closes: #570868) 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 25 Mar 2010 19:00:23 +0100

lhs2tex (1.14-1) experimental; urgency=low

  * New upstream release:
    - Unicode support.
    - Support for Agda's lexing rules (via --agda flag).
  * debian/control:
    - Add libghc6-utf8-string-dev to the build dependencies.

 -- Arjan Oosting <arjan@debian.org>  Sat, 17 Jan 2009 18:06:34 +0100

lhs2tex (1.13-4) unstable; urgency=low

  * Add dependency on texlive-math-extra as polycode.fmt depends on 
    the theoretical computer science fonts located in stmaryrd.sty 
    Thanks Tomasz Maciejewski  (Closes: #511818)
  * debian/rules: Use dh_installtex to generate maintainer scripts 
    which call mktexlsr.
  * debian/control: Add tex-common to build dependencies as it provides
    dh_installtex.

 -- Arjan Oosting <arjan@debian.org>  Sat, 17 Jan 2009 18:02:16 +0100

lhs2tex (1.13-3) unstable; urgency=medium

  * debian/control:
    - Add dpatch to the build dependencies.
    - Bump Standards-Version to 3.8.0
  * debian/patches/01_always_install_polytable.dpatch:
    - Patch config.mk.in to make sure we install the polytable (La)Tex 
      style.
  * debian/patches/10_fix_bashims.dpatch:
    - Fix a bashism in the examples of lhs2TeX (Closes: #489624)
  * debian/README.source: Added.
  * debian/rules:
    - Include dpatch snippet
    - Remove the sed expressions which is replaced with a regular patch
  * Set urgency to medium to get the bashism fix into Lenny.

 -- Arjan Oosting <arjan@debian.org>  Sun, 20 Jul 2008 11:16:15 +0200

lhs2tex (1.13-2) unstable; urgency=low

  * Fix bashism in debian/rules. (Closes: #484397)
  * debian/control:
    - Drop dependencies on obsolete packages tetex-bin, tetex-base and
      tetex-extra. Fixes lintian error depends-on-obsolete-package
  * debian/doc-base:
    - Change Section to Programming/Haskell
  
 -- Arjan Oosting <arjan@debian.org>  Mon, 09 Jun 2008 06:57:19 +0200

lhs2tex (1.13-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Also look for gzipped tarballs.
  * debian/control:
    - Point the Vcs-* fields to the trunk directories which contains the 
      latest version of the debian package.

 -- Arjan Oosting <arjan@debian.org>  Tue, 26 Feb 2008 08:00:03 +0100

lhs2tex (1.13~pre3-2) unstable; urgency=low

  * debian/control:
    - Bump build dependency on ghc6 to 6.8.2 which is now needed to build
      the package.

 -- Arjan Oosting <arjan@debian.org>  Mon, 21 Jan 2008 01:30:45 +0100

lhs2tex (1.13~pre3-1) unstable; urgency=low

  * New upstream release, which should work with the GHC 6.8 series and be
    compatible with Cabal 1.2.
  * Fix some lintian warnings
    - package-contains-empty-directory usr/sbin/
    - doc-base-file-separator-extra-whitespaces lhs2tex-guide:13
  * debian/control:
    - Add libghc6-regex-compat-dev to the build dependencies.
    - Replace the Xs-Vcs-* fields with the official Vcs-* fields.
    - Add Homepage field.
    - Bump Standards-Version to 3.7.3. No changes needed.
  * debian/rules: 
    - Export DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE as
      /usr/share/doc/autotools-dev/README.Debian.gz suggests.
    - Remove some generated files during clean.
  
 -- Arjan Oosting <arjan@debian.org>  Sat, 19 Jan 2008 17:17:13 +0100

lhs2tex (1.12-3) unstable; urgency=low

  * debian/compat: Change to debhelper compatibility level 5.
  * debian/control:
    - Add XS-Vcs-Browser field.
    - Bump dependency on debhelper to debhelper 5 or higher.

 -- Arjan Oosting <arjan@debian.org>  Thu, 12 Apr 2007 01:22:02 +0200

lhs2tex (1.12-2) experimental; urgency=low

  * Add the necessary Depends for texlive in addition to tetex:
    - Depend on texlive-latex-base | tetex-bin for the mktexslr program.
    - Depend on texlive-latex-base | tetex-base for the styles array and
      calc.  
    - Depend on texlive-latex-base | tetex-extra for the style colortbl.
  
 -- Arjan Oosting <arjan@debian.org>  Mon, 12 Feb 2007 00:23:22 +0100

lhs2tex (1.12-1) experimental; urgency=low

  * New upstream release.

 -- Arjan Oosting <arjan@debian.org>  Thu, 11 Jan 2007 16:45:17 +0100

lhs2tex (1.11-2) unstable; urgency=low

  * debian/rules: do not rebuild the user guide as it needs ghci which
    does not work on all arctectures.
  * debian/control: Drop the Build-Depends on tetex-bin, tetex-base and
    tetex-extra as we don't rebuild the guide anyway.

 -- Arjan Oosting <arjan@debian.org>  Fri, 20 Oct 2006 17:08:52 +0200

lhs2tex (1.11-1) unstable; urgency=medium

  * Take over maintaince from John Goerzen. Thanks for your work on this
    package! 
  * New upstream release. (Closes: #366969)
  * config.mk.in: remove -package lang (Closes: 393822)
  * debian/control:
    - add Build-Depends on autotools-dev to make sure the latest
      config.guess and config.sub are used.
    - add missing Build-Depends on tetex-extra.
    - added Homepage entry.
    - bump Standards-Version. No changes needed.
    - add XS-Vcs-Svn field.
  * debian/copyright: 
    - Include the license of lazylist.sty and update the license of the


=== debian/control ===
Source: lhs2tex
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Arjan Oosting <arjan@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 7),
 ghc (>= 6.12),
 libghc-regex-compat-dev,
 tex-common 
Standards-Version: 3.8.4
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/lhs2tex
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/lhs2tex
Homepage: http://people.cs.uu.nl/andres/lhs2tex/

Package: lhs2tex
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 texlive-latex-base,
 texlive-latex-base,
 texlive-latex-base,
 texlive-math-extra
Description: Generates LaTeX code from literate Haskell sources
 lhs2TeX includes the following features:
 .
 Different styles to process your source file: for instance,
 "tt" style uses a monospaced font for the code while still
 allowing you to highlight keywords etc, whereas
 "poly" style uses proportional fonts for identifiers, handles
 indentation nicely, is able to replace binary operators by
 mathematical symbols and take care of complex horizontal
 alignments.
 .
 Formatting directives, which let you customize the way certain
 tokens in the source code should appear in the processed
 output.
 .
 A liberal parser that can handle most of the language
 extensions; you don't have to restrict yourself to Haskell 98.
 .
 Preprocessor-style conditionals that allow you to generate
 different versions of a document from a single source file
 (for instance, a paper and a presentation).
 .
 Active documents: you can use Haskell to generate parts of the
 document (useful for papers on Haskell).
 .
 A manual explaining all the important aspects of lhs2TeX.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Autoconf 2.52 and higher goes into crosscompiling mode when --host
# is specified, so only pass --host when it is necessary.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFIGURE_FLAGS := --build $(DEB_HOST_GNU_TYPE)
else
  CONFIGURE_FLAGS := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

GHCFLAGS := $(shell grep "^GHCFLAGS" config.mk.in | cut -d '=' -f 2)
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	GHCFLAGS += -O0
endif

configure: config.status
config.status: 
	dh_testdir
	cp -f /usr/share/misc/config.sub config.sub 
	cp -f /usr/share/misc/config.guess config.guess
	# Don't rebuild the guide as ghci does not work on all architectures..
	# rm -f doc/Guide2.dontbuild
	./configure $(CONFIGURE_FLAGS) --prefix=/usr --mandir=\$${prefix}/share/man --with-texmf=/usr/share/texmf --enable-polytable


build: build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE) GHCFLAGS="$(GHCFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.status 
	# Add here commands to clean up after the build process.
	if [ -f Makefile ] && [ -f config.mk ] ; then $(MAKE) clean ; fi
	# Remove generated files
	for EXT in aux log out ptb tex toc; do \
		rm -f doc/Guide2.$$EXT; \
	done
	# Don't rebuild the guide as ghci does not work on all architectures..
	# rm -f doc/Guide2.dontbuild doc/Guide2.pdf
	rm -f doc/*.sty doc/*.tex doc/.out doc/.script doc/RawSearchPath.lhs
	rm -f lhs2TeX.1 Version.lhs config.guess config.log config.mk config.sub
	rm -f doc/InteractiveHugs.lhs doc/InteractivePre.lhs
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/lhs2tex docdir=/usr/share/doc/lhs2tex


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples Examples/*
	dh_installman
	dh_installtex
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts="uversionmangle=s/(.bz2|.gz)$//;s/(\d+)pre/$1~pre/" \
  http://people.cs.uu.nl/andres/lhs2tex/ ./lhs2tex-(.*)\.tar\.(bz2|gz)

## lhs2tex 1.17

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 
 include config.mk
 
-main            := Main.lhs
-psources        := $(main) TeXCommands.lhs TeXParser.lhs \
-		   Typewriter.lhs Math.lhs MathPoly.lhs \
-                   MathCommon.lhs NewCode.lhs \
-		   Directives.lhs HsLexer.lhs FileNameUtils.lhs \
-		   Parser.lhs FiniteMap.lhs Auxiliaries.lhs \
-		   StateT.lhs Document.lhs Verbatim.lhs Value.lhs
-sources         := $(psources) Version.lhs
+main            := src/Main.lhs
+psources        := $(main) src/TeXCommands.lhs src/TeXParser.lhs \
+		   src/Typewriter.lhs src/Math.lhs src/MathPoly.lhs \
+                   src/MathCommon.lhs src/NewCode.lhs \
+		   src/Directives.lhs src/HsLexer.lhs src/FileNameUtils.lhs \
+		   src/Parser.lhs src/FiniteMap.lhs src/Auxiliaries.lhs \
+		   src/StateT.lhs src/Document.lhs src/Verbatim.lhs src/Value.lhs
+sources         := $(psources) src/Version.lhs
 snipssrc        := sorts.snip id.snip cata.snip spec.snip
 snips	        := sorts.tt sorts.math id.math cata.math spec.math
 objects         := $(sources:.lhs=.o)
@@ -106,7 +106,7 @@
 	./lhs2TeX --code lhs2TeX.fmt.lit > lhs2TeX.fmt
 
 lhs2TeX : $(sources)
-	$(GHC) $(GHCFLAGS) --make -o lhs2TeX $(main)
+	$(GHC) $(GHCFLAGS) -isrc --make -o lhs2TeX $(main)
 
 doc : bin
 	cd doc; $(MAKE)
@@ -161,18 +161,20 @@
 srcdist : INSTALL doc
 	if test -d $(DISTDIR); then $(RM) -rf $(DISTDIR); fi
 	$(MKINSTDIR) $(DISTDIR)
+	$(MKINSTDIR) $(DISTDIR)/src
 	$(MKINSTDIR) $(DISTDIR)/doc
 	$(MKINSTDIR) $(DISTDIR)/polytable
 	$(MKINSTDIR) $(DISTDIR)/Testsuite
 	$(MKINSTDIR) $(DISTDIR)/Examples
 	$(MKINSTDIR) $(DISTDIR)/Library
-	$(INSTALL) -m 644 $(psources) Version.lhs.in $(snipssrc) $(DISTDIR)
+	$(INSTALL) -m 644 $(psources) src/Version.lhs.in $(DISTDIR)/src
+	$(INSTALL) -m 644 $(snipssrc) $(DISTDIR)
 	$(INSTALL) -m 644 Setup.hs lhs2tex.cabal $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.fmt.lit lhs2TeX.sty.lit $(DISTDIR)
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO AUTHORS LICENSE RELEASE $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE CHANGELOG $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL
@@ -202,7 +204,7 @@
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO AUTHORS LICENSE RELEASE $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE CHANGELOG $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL

=== debian/changelog ===
lhs2tex (1.17-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * debian/control:
    - Standards version 3.9.2 (no changes required).
    - Added myself to uploaders. Added DM-Upload-Allowed: yes.
  * debian/patches/ :
    - Disable patches no-utf8-string.patch and add-typesig (in upstream).
    - Refresh patches/no-n-plus-k-pattern.
    - Add Dep3 info to patches/no-n-plus-k-pattern.
  * debian/rules : Fix a couple of lintian warnings.

  [ Joachim Breitner ]
  * debian/watch: Refer to hackage 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 31 Dec 2011 15:25:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Arjan Oosting <arjan@debian.org>
+ , Erik de Castro Lopo <erikd@mega-nerd.com>
+DM-Upload-Allowed: yes
 Build-Depends:
  autotools-dev,
  debhelper (>= 7),
  ghc (>= 6.12),
  libghc-regex-compat-dev,
- tex-common 
-Standards-Version: 3.8.4
+ tex-common
+Standards-Version: 3.9.2
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/lhs2tex
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/lhs2tex
 Homepage: http://people.cs.uu.nl/andres/lhs2tex/

## lhs2tex 1.18.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
                    src/MathCommon.lhs src/NewCode.lhs \
 		   src/Directives.lhs src/HsLexer.lhs src/FileNameUtils.lhs \
 		   src/Parser.lhs src/FiniteMap.lhs src/Auxiliaries.lhs \
-		   src/StateT.lhs src/Document.lhs src/Verbatim.lhs src/Value.lhs
+		   src/StateT.lhs src/Document.lhs src/Verbatim.lhs src/Value.lhs \
+		   src/License.lhs src/State.lhs
 sources         := $(psources) src/Version.lhs
 snipssrc        := sorts.snip id.snip cata.snip spec.snip
 snips	        := sorts.tt sorts.math id.math cata.math spec.math

=== debian/changelog ===
lhs2tex (1.18.1-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:46 +0200

lhs2tex (1.18.1-1) experimental; urgency=low

  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Feb 2013 12:50:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 DM-Upload-Allowed: yes
 Build-Depends:
  autotools-dev,
- debhelper (>= 7),
- ghc (>= 6.12),
+ debhelper (>= 9),
+ ghc (>= 7.6),
  libghc-regex-compat-dev,
  tex-common
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/lhs2tex
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/lhs2tex
 Homepage: http://people.cs.uu.nl/andres/lhs2tex/

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|lhs2tex-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/lhs2tex \
    ([\d\.]*\d)/

## lhs2tex 1.19

=== Makefile ===
--- 
+++ 
@@ -181,11 +181,11 @@
 	chmod 644 $(DISTDIR)/INSTALL
 	cd doc; $(MAKE) srcdist
 	$(INSTALL) -m 644 polytable/*.{sty,pdf} $(DISTDIR)/polytable
-	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
+	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Testsuite/Makefile $(DISTDIR)/Testsuite
 	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
 	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
 	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
-	tar cvzf $(DISTDIR).tar.gz $(DISTDIR)
+	tar --format=ustar -cvzf $(DISTDIR).tar.gz $(DISTDIR)
 	chmod 644 $(DISTDIR).tar.gz
 
 ifdef DISTTYPE
@@ -211,7 +211,7 @@
 	chmod 644 $(DISTDIR)/INSTALL
 	cd doc; $(MAKE) srcdist
 	$(INSTALL) -m 644 polytable/*.{sty,pdf} $(DISTDIR)/polytable
-	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
+	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Testsuite/Makefile $(DISTDIR)/Testsuite
 	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
 	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
 	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library

=== Testsuite/Makefile ===

include ../config.mk

#-----------------------------------------------------------------------------
# directories and files

snips		:= $(wildcard *.snip)
texs       	:= $(foreach file, $(snips:.snip=.tex), $(file))

LHS2TEX = ../lhs2TeX

#-----------------------------------------------------------------------------
# pattern rules

%.tex : %.snip
#	lhs2TeX -verb -i../lhs2TeX.fmt -l'meta = True' $< > $@
	$(LHS2TEX) -v --math --align=33 -smeta -i../lhs2TeX.fmt $< > $@

%.tex : %.lhs
#	lhs2TeX -verb -i../lhs2TeX.fmt -l'meta = True' $< > $@
	$(LHS2TEX) -v --math --align=33 -smeta $< > $@

%.ps : %.dvi
	$(DVIPS) -D600 -o $@ $<

#-----------------------------------------------------------------------------

.PHONY: show view print clean

Test.dvi : $(texs)

show : Test.dvi
	$(XDVI) -s 3 Test.dvi &

view : Test.ps
	xe ghostview Test.ps &

print : Test.dvi
	$(DVIPS) -D600 -f Test.dvi | lpr -Pa -Zl

clean :
	rm -f Test.tex $(texs) *.dvi *.ps

include ../common.mk

=== doc/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	$(LN_S) ../polytable/polytable.sty .
 	$(LN_S) ../polytable/lazylist.sty .
 
-RawSearchPath.lhs : ../Version.lhs
+RawSearchPath.lhs : ../src/Version.lhs
 	echo '\begin{code}' > $@
 	$(LHS2TEX) --searchpath >> $@
 	echo '\end{code}' >> $@
@@ -57,7 +57,7 @@
 			do $(PDFLATEX) $(PDFLATEX_OPTS) $<; done;'; \
 
 Guide2.tex : Guide2.lhs $(SNIPPETSGD)
-	$(LHS2TEX) --poly -P.:.. $< > $@
+	$(LHS2TEX) --poly -P.:..:../src: $< > $@
 
 STC.tex : STC.lhs $(SNIPPETSSTC)
 	$(LHS2TEX) --poly $< > $@

=== debian/changelog ===
lhs2tex (1.19-5) unstable; urgency=high

  * Depend on texlive-science (closes: #864225)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 05 Jun 2017 12:28:59 -0400

lhs2tex (1.19-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:21 -0400

lhs2tex (1.19-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:42:26 -0400

lhs2tex (1.19-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:22 -0500

lhs2tex (1.19-1.1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mark lhs2tex as Multi-Arch: foreign.

  [ Joachim Breitner ]
  * Bump standards-version to 3.9.6

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:14 +0200

lhs2tex (1.19-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:36:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: lhs2tex
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Arjan Oosting <arjan@debian.org>,
+ Erik de Castro Lopo <erikd@mega-nerd.com>,
+Priority: optional
 Section: haskell
-Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Arjan Oosting <arjan@debian.org>
- , Erik de Castro Lopo <erikd@mega-nerd.com>
-DM-Upload-Allowed: yes
 Build-Depends:
  autotools-dev,
  debhelper (>= 9),
  ghc (>= 7.6),
  libghc-regex-compat-dev,
- tex-common
-Standards-Version: 3.9.4
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/lhs2tex
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/lhs2tex
+ tex-common,
+Standards-Version: 3.9.8
 Homepage: http://people.cs.uu.nl/andres/lhs2tex/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/lhs2tex
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: lhs2tex
 Architecture: any
+Multi-Arch: foreign
 Depends:
+ texlive-latex-base,
+ texlive-science,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- texlive-latex-base,
- texlive-latex-base,
- texlive-latex-base,
- texlive-math-extra
 Description: Generates LaTeX code from literate Haskell sources
  lhs2TeX includes the following features:
  .
@@ -51,4 +50,3 @@
  document (useful for papers on Haskell).
  .
  A manual explaining all the important aspects of lhs2TeX.
-

=== debian/rules ===
--- 
+++ 
@@ -28,16 +28,19 @@
 endif
 
 configure: config.status
-config.status: 
+config.status:
 	dh_testdir
-	cp -f /usr/share/misc/config.sub config.sub 
+	cp -f /usr/share/misc/config.sub config.sub
 	cp -f /usr/share/misc/config.guess config.guess
 	# Don't rebuild the guide as ghci does not work on all architectures..
 	# rm -f doc/Guide2.dontbuild
 	./configure $(CONFIGURE_FLAGS) --prefix=/usr --mandir=\$${prefix}/share/man --with-texmf=/usr/share/texmf --enable-polytable
 
 
-build: build-stamp
+build: build-arch build-indep
+
+
+build-arch: build-stamp
 build-stamp:  config.status
 	dh_testdir
 	$(MAKE) GHCFLAGS="$(GHCFLAGS)"
@@ -46,7 +49,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp config.status 
+	rm -f build-stamp config.status
 	# Add here commands to clean up after the build process.
 	if [ -f Makefile ] && [ -f config.mk ] ; then $(MAKE) clean ; fi
 	# Remove generated files
@@ -58,7 +61,7 @@
 	rm -f doc/*.sty doc/*.tex doc/.out doc/.script doc/RawSearchPath.lhs
 	rm -f lhs2TeX.1 Version.lhs config.guess config.log config.mk config.sub
 	rm -f doc/InteractiveHugs.lhs doc/InteractivePre.lhs
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
@@ -71,13 +74,14 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
+build-indep:
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples Examples/*
 	dh_installman
@@ -93,4 +97,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://hackage.haskell.org/package/lhs2tex/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lhs2tex 1.20

=== debian/changelog ===
lhs2tex (1.20-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 22:51:45 -0400

lhs2tex (1.19-6) unstable; urgency=medium

  [ Clint Adams ]
  * Update Homepage field.

  [ Ilias Tsitsimpis ]
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:13 -0400

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
  Erik de Castro Lopo <erikd@mega-nerd.com>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  autotools-dev,
  debhelper (>= 9),
  ghc (>= 7.6),
  libghc-regex-compat-dev,
  tex-common,
-Standards-Version: 3.9.8
-Homepage: http://people.cs.uu.nl/andres/lhs2tex/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/lhs2tex
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Standards-Version: 4.1.4
+Homepage: https://github.com/kosmikus/lhs2tex
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/lhs2tex
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/lhs2tex]
 
 Package: lhs2tex
 Architecture: any

## lhs2tex 1.22

=== debian/changelog ===
lhs2tex (1.22-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:39 +0300

lhs2tex (1.22-1) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 13:33:30 +0300

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  autotools-dev,
- debhelper (>= 9),
- ghc (>= 7.6),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  libghc-regex-compat-dev,
  tex-common,
 Standards-Version: 4.1.4

## lhs2tex 1.24

=== Makefile ===
--- 
+++ 
@@ -175,7 +175,7 @@
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO AUTHORS LICENSE CHANGELOG $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE CHANGELOG.md $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL
@@ -205,7 +205,7 @@
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO AUTHORS LICENSE CHANGELOG $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE CHANGELOG.md $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL

=== doc/Makefile ===
--- 
+++ 
@@ -28,9 +28,7 @@
 	$(LN_S) ../polytable/lazylist.sty .
 
 RawSearchPath.lhs : ../src/Version.lhs
-	echo '\begin{code}' > $@
-	$(LHS2TEX) --searchpath >> $@
-	echo '\end{code}' >> $@
+	$(LHS2TEX) --texsearchpath > $@
 
 SearchPath.lhs : RawSearchPath.lhs
 	touch $@
@@ -81,5 +79,5 @@
 
 .PHONY : all srcdist clean
 clean :
-	rm -f $(SNIPPETSGD) $(SNIPPETSSTC)
+	rm -f $(SNIPPETSGD) $(SNIPPETSSTC) RawSearchPath.lhs

=== debian/changelog ===
lhs2tex (1.24-1build2.1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:53:13 +0200

lhs2tex (1.24-1build2) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2020 20:52:29 +0200

lhs2tex (1.24-1build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 12:35:36 +0200

lhs2tex (1.24-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 16 Jun 2020 12:49:13 -0400

=== debian/watch ===
version=3
https://hackage.haskell.org/package/lhs2tex/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
